Show / Hide Table of Contents

# Class GameGui

##### Inheritance

System.Object
GameGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameGui : IDisposable

### Constructors

| Improve this Doc View Source

#### GameGui(IntPtr, SigScanner, Dalamud)

##### Declaration

    public GameGui(IntPtr baseAddress, SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | baseAddress |
SigScanner | scanner |
Dalamud.Dalamud | dalamud |

### Properties

| Improve this Doc View Source

#### Chat

##### Declaration

    public ChatGui Chat { get; }

##### Property Value

Type | Description
--- | ---
ChatGui |

| Improve this Doc View Source

#### HoveredItem

The item ID that is currently hovered by the player. 0 when no item is hovered. If > 1.000.000, subtract 1.000.000 and treat it as HQ

##### Declaration

    public ulong HoveredItem { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### HoveredItemChanged

Event that is fired when the currently hovered item changes.

##### Declaration

    public EventHandler<ulong> HoveredItemChanged { get; set; }

##### Property Value

Type | Description
--- | ---
System.EventHandler<System.UInt64> |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### SetBgm(UInt16)

##### Declaration

    public void SetBgm(ushort bgmKey)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | bgmKey |

### Implements

System.IDisposable